/**
 * \file scitani.c
 * \brief Jednoduche cviceni pro nacvik bitovych operaci
 * \author Lukas Rucka (359687@mail.muni.cz)
 */

#include <stdio.h>

int main(int argc, const char ** argv){

    /* ZADANI:
     * secti dve cisla pomoci operaci bitovych posunu, bitoveho souctu
     * (binarni operator |), bitove nonekvivalence (binarni operator. ^)
     * a zbytku po deleni dvema
     *
     * Algoritmus:
     * Mejme dve nezaporna cisla, A a B
     * pro kazdy bit vysledku plati ze je nastaven, pokud je pocet jednicek
     * v prenosu, odpovidajicich bitu z cisla A a cisla B lichy. Pokud
     * je to soucasne vice nez 1, vznika prenos
     *
     * A = 23 = 10111
     * B = 4  =   100
     *
     * vysledek je  A B prenos vysledny_bit vysledny_prenos
     *              1 0 0      1            0
     *              1 0 0      1            0
     *              1 1 0      0            1
     *              0 0 1      1            0
     *              1 0 0      1            0
     *
     * vysledek: 11011
     *
     * preteceni neres, pouzij datovy typ unsigned long, hodnoty mohou
     * byt zadratovany
     *
     */


    return EXIT_SUCCESS;
}

